Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2128287 - Please port your pcre dependency to pcre2. Pcre has been deprecated
Summary: Please port your pcre dependency to pcre2. Pcre has been deprecated
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: deepin-file-manager
Version: 38
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Deepin DE SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 2127507
TreeView+ depends on / blocked
 
Reported: 2022-09-20 12:52 UTC by Lukas Javorsky
Modified: 2023-02-13 16:30 UTC (History)
4 users (show)

Fixed In Version: deepin-file-manager-5.6.4-9.fc38 deepin-file-manager-5.6.4-9.fc39
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-02-13 16:30:13 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Lukas Javorsky 2022-09-20 12:52:35 UTC
Pcre has been deprecated since Fedora 38.
Please consider porting to the new pcre2 version.

Fedora change that describes the pcre deprecation is located here: https://fedoraproject.org/wiki/PcreDeprecation
FESCo approval is located here: https://pagure.io/fesco/issue/2862

If your component has already ported to pcre2 or you don't Require/BuildRequire any pcre subpackage, feel free to close this Bugzilla.
This Bugzilla was created automatically and some issues might have occurred along the way.

Comment 1 Ben Cotton 2022-09-20 13:46:18 UTC
Adding blocking relationship to BZ 2127507 (the Change tracker)

Comment 2 Ben Cotton 2023-02-07 14:55:27 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 38 development cycle.
Changing version to 38.

Comment 3 Fedora Update System 2023-02-13 16:27:25 UTC
FEDORA-2023-2005b82db4 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-2005b82db4

Comment 4 Fedora Update System 2023-02-13 16:27:33 UTC
FEDORA-2023-26d3f31807 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-26d3f31807

Comment 5 Fedora Update System 2023-02-13 16:30:13 UTC
FEDORA-2023-2005b82db4 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2023-02-13 16:30:17 UTC
FEDORA-2023-26d3f31807 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.